package net.kldp.beat.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Inherited;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;


/**
 * 이 어노테이션은 View로 디스패치하기 위한 어노테이션입니다.
 * type 속성은 반드시 forward, redirect, nothing 중 하나여야 합니다.
 * 
 */
@Target(ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
@Beat
@Inherited
public @interface Result {
    String name();
    String value();
    String type() default "forward";
    String[] params() default {};
    String contentType() default "text/html";
}